%define _name LSL3

Name: freesci-data-lsl3
Version: 1.0
Release: alt1
Summary: Leisure Suite Larry 3
Summary (ru_RU.UTF-8): Leisure Suite Larry 3
License: Non Free
Group: Games/Adventure
Source0: data.tar.gz
Source1: LSL3.SOL
Source2: larry3.png
Source3: README.html
NoSource: 0
Buildarch: noarch
Autoreq: 0
Requires: freesci

%description
Leisure Suit Larry 3 - Passionate Patti in Pursuit of the Pulsating Pectorals data files for FreeSCI.

%description -l ru_RU.UTF-8
Файлы данных Leisure Suit Larry 3 - Passionate Patti in Pursuit of the Pulsating Pectorals для FreeSCI.

%prep
%setup -q -n data
%build
%install
install -m755 -d $RPM_BUILD_ROOT%_usr/games/%_name
install -m644 * $RPM_BUILD_ROOT%_usr/games/%_name
install -m644 -D %SOURCE1 $RPM_BUILD_ROOT%_datadir/doc/%name-%version/LSL3.SOL
install -m644 -D %SOURCE2 $RPM_BUILD_ROOT%_datadir/pixmaps/larry3.png
# script
echo '#!/bin/sh
if  [ ! -f "$HOME/.freesci/config" ]; then
    mkdir -p "$HOME/.freesci" && touch "$HOME/.freesci/config"
fi

if [ "$(cat "$HOME/.freesci/config" | grep "\[%_name\]")" = "" ]; then
    echo -e "\n[%_name]\nresource_dir=/usr/games/%_name\n" >> "$HOME/.freesci/config"
fi

freesci %_name' > $RPM_BUILD_ROOT%_usr/games/%_name/freesci.sh
chmod 755 $RPM_BUILD_ROOT%_usr/games/%_name/freesci.sh
# Menu
%__mkdir -p %buildroot%_menudir
%__cat >%buildroot%_menudir/%name <<EOF
?package(%name): command="%_usr/games/%_name/freesci.sh" needs="X11" \
section="Games/Adventure" title="Leisure Suite Larry 3" \
longtitle="A quest game" icon="larry3.png"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%_usr/games/%_name
%_menudir/%name
%_datadir/pixmaps/larry3.png
%doc %_datadir/doc/%name-%version/*

%changelog
* Fri Nov 22 2002 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt1
- Sample freesci-data package

